Skip to content
Thyme Docs

Projects

List projects

GET/api/v1/projects

Required scope: projects:read.

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Create project

POST/api/v1/projects

Required scope: projects:write. Owner/admin membership is required.

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Request Body

application/json
nameRequired
string
slugRequired
string
description
string
environment
string
Values
productiondevelopment

Responses

Get project

GET/api/v1/projects/{projectId}

Required scope: projects:read.

Path Parameters

projectIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Update project

PATCH/api/v1/projects/{projectId}

Required scope: projects:write. Owner/admin membership is required.

Path Parameters

projectIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Request Body

application/json
name
string
description
string

Responses